using PDF_Office.Model.CloudDrive;
using PDF_Office.ViewModels.HomePanel.CloudDrive;
using PDF_Office.ViewModels.HomePanel.CloudDrive.CloudDriveType;
using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.HomePanel
{
    public class HomeCloudContentViewModel:BindableBase
    {
        public DelegateCommand<CloudBoxItem> OpenCloudDriveCommand { get; set; }
        public HomeCloudContentViewModel()
        {
            OpenCloudDriveCommand = new DelegateCommand<CloudBoxItem>(OpenCloudDrive_Click);
        }

        public void OpenCloudDrive_Click(CloudBoxItem cloudDiskItem)
        {
            if (cloudDiskItem != null)
            {

                switch (cloudDiskItem.CloudDiskType)
                {
                    case CloudType.Box:
                        break;
                    case CloudType.DropBox:
                        break;
                    case CloudType.GoogleDrive:
                        //    isSccuess = await googleDriveViewModel.LoginUser();
                        break;
                    case CloudType.OneDrive:
                        break;
                    default:
                        break;
                }

            }

        }
    }
}
